<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    {% load static %}
    <link
      rel="stylesheet"
      type="text/css"
      id="applicationStylesheet"
      href="{% static '/css/base.css' %}"
    />
    <title>
      {% block header %}
      {% endblock header%}
    </title>
  </head>
  <body>
    <div class="container">
      <div class="header">
        <a href="{% url 'homepage' %}">
          <div class="header__logo">
              <img class="header__image" src="{% static '/images/logo/uespi.png' %}"></img>
              <div class="header__text">
                SISTEMA DE <br />
                RESERVAS
              </div>
          </div>
        </a>
        <div class="header__navigation">
            <div class="navigation__icons">
              <img class="icons" src="{% static '/images/Classroom.svg' %}"></img>
              <a class="link" href="{% url 'classroom-list' %}">SALAS</a>
            </div>
            <div class="navigation__icons">
              <img class="icons" src="{% static '/images/Campus.svg' %}"></img>
              <a class="link" href="{% url 'campus-list' %}">CAMPUS</a>
            </div>
            <div class="navigation__icons">
              <img class="icons" src="{% static '/images/Equipments.svg' %}"></img>
              <a class="link" href="{% url 'equipment-list' %}">EQUIPAMENTOS</a>
            </div>
            <div class="navigation__icons">
              <img class="icons" src="{% static '/images/Pre_Agendar.svg' %}"></img>
              <a class="link" href="{% url 'event-list' %}">PRÉ-AGENDAR</a>
            </div>
            <div class="logout-button">
              <img src="{% static '/images/Profile.svg' %}"></img>
              {% if request.user.is_authenticated %}
                <a class="logout" href="{% url 'logout' %}">LOGOUT</a>
              {% else %}
                <a class="logout" href="{% url 'login' %}">LOGIN</a>
              {% endif %}
            </div>
        </div>
      </div>
      <hr>
      {% if messages %}
        <ul class="messages">
            {% for message in messages %}
            <li {% if message.tags %} class="{{ message.tags }}"{% endif %}>{{ message }}</li>
            {% endfor %}
        </ul>
      {% endif %}
      {% block content %}
      {% endblock content %}
      </div>
    </div>
    <script type="text/javascript" src="{% static '/js/main.js' %}"></script>
  </body>
</html>
